본문 바로가기
프로그램 (C,PHP)

국내 공개 웹 게시판(익스프레스엔진) 보안 업데이트

by ·´″°³о♡ 날으는물고기 2012. 5. 18.

국내 공개 웹 게시판(익스프레스엔진) 보안 업데이트

728x90

□ 개요

  o 국내 PHP기반의 공개 웹 게시판인 익스프레스엔진에서 웹쉘코드 삽입 취약점이 발견됨

  o 취약한 버전을 사용하고 있을 경우, 홈페이지 해킹에 의해 웹서버 원격제어, 홈페이지 변조,

    데이터베이스 정보 유출 등의 피해를 입을 수 있으므로 웹 관리자의 적극적인 조치 필요



□ 해당시스템

  o 영향받는 소프트웨어

     - 익스프레스 엔진 1.5.2.4 및 이전 버전



□ 해결방안

  o 기존 익스프레스 엔진 사용자는 업데이트가 적용된 상위 버전으로 업그레이드 [1]

    ※ 패치 작업 이전에 원본 파일은 백업 필요

  o 익스프레스 엔진을 새로 설치하는 이용자

     - 반드시 보안패치가 적용된 최신버전(1.5.2.5 이상)을 설치


* old
foreach($ftp_info as $key => $val) {
    if(!$val) continue;
    $buff .= sprintf("\$ftp_info->%s = '%s';\n", $key, str_replace("'","\\'",$val));
}

* new
foreach($ftp_info as $key => $val) {
    if(!$val) continue;
if(preg_match('/(<\?|<\?php|\?>)/xsm', preg_replace('/\s/', '', $val)))
{
continue;
}
    $buff .= sprintf("\$ftp_info->%s = '%s';\n", $key, str_replace("'","\\'",$val));
}


□ 용어 정리

  o PHP : 동적인 웹사이트를 위한 서버 측 스크립트 언어

  o 웹쉘(Webshell) : php, jsp, asp 등 스크립트 언어로 되어 있으며, 원격에서

     웹서버를 제어할 수 있어 다양한 공격 사용될 수 있는 웹서버형 악성코드

  o 익스프레스엔진 : PHP언어로 작성된 홈페이지용 게시판 소프트웨어 또는 프레임 워크



□ 문의사항

  o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118



□ 기타

  o 본 취약점은 Krcert 홈페이지를 통해 장경칩(Black Falcon)님께서 제공해주셨습니다.



[참고사이트]

[1] http://www.xpressengine.com/blog/textyle/20809565

728x90

댓글0